test: kbd101b.c File Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# kbd101b.c File Reference

`#include <windows.h>`
`#include <ime.h>`
`#include "vkoem.h"`
`#include "kbd101b.h"`

Go to the source code of this file.

## Defines

#define | ALLOC_SECTION_LDATA

## Functions

PKBDTABLES | KbdLayerDescriptor (VOID)
PKBDNLSTABLES | KbdNlsLayerDescriptor (VOID)

## Variables

ALLOC_SECTION_LDATA USHORT | ausVK []
ALLOC_SECTION_LDATA VSC_VK | aE0VscToVk []
ALLOC_SECTION_LDATA VSC_VK | aE1VscToVk []
ALLOC_SECTION_LDATA VK_TO_BIT | aVkToBits []
ALLOC_SECTION_LDATA MODIFIERS | CharModifiers
ALLOC_SECTION_LDATA VK_TO_WCHARS2 | aVkToWch2 []
ALLOC_SECTION_LDATA VK_TO_WCHARS3 | aVkToWch3 []
ALLOC_SECTION_LDATA VK_TO_WCHARS4 | aVkToWch4 []
ALLOC_SECTION_LDATA VK_TO_WCHARS1 | aVkToWch1 []
ALLOC_SECTION_LDATA VK_TO_WCHAR_TABLE | aVkToWcharTable []
ALLOC_SECTION_LDATA VSC_LPWSTR | aKeyNames []
ALLOC_SECTION_LDATA VSC_LPWSTR | aKeyNamesExt []
ALLOC_SECTION_LDATA KBDTABLES | KbdTables
ALLOC_SECTION_LDATA VK_F | VkToFuncTable_101b []
ALLOC_SECTION_LDATA KBDNLSTABLES | KbdNlsTables

## Define Documentation

#define ALLOC_SECTION_LDATA

| Definition at line 21 of file kbd101b.c.

## Function Documentation

PKBDTABLES KbdLayerDescriptor | ( | VOID |  | ) |

Definition at line 451 of file kbd101b.c.

References KbdTables.

    00452 {
    00453     return &KbdTables;
    00454 }

PKBDNLSTABLES KbdNlsLayerDescriptor | ( | VOID |  | ) |

Definition at line 504 of file kbd101b.c.

References KbdNlsTables.

    00505 {
    00506     return &KbdNlsTables;
    00507 }

## Variable Documentation

ALLOC_SECTION_LDATA VSC_VK aE0VscToVk[]`[static]`

| Definition at line 94 of file kbd101b.c.

ALLOC_SECTION_LDATA VSC_VK aE1VscToVk[]`[static]`

Initial value:

     {
            { 0x1D, Y1D                       },
            { 0   ,   0                       }
    }

Definition at line 138 of file kbd101b.c.

ALLOC_SECTION_LDATA VSC_LPWSTR aKeyNames[]`[static]`

| Definition at line 333 of file kbd101b.c.

ALLOC_SECTION_LDATA VSC_LPWSTR aKeyNamesExt[]`[static]`

Initial value:

     {
        0x1c,    L"Num Enter",
        0x1d,    L"Right Control",
        0x35,    L"Num /",
        0x37,    L"Prnt Scrn",
        0x38,    L"Right Alt",
        0x45,    L"Num Lock",
        0x46,    L"Break",
        0x47,    L"Home",
        0x48,    L"Up",
        0x49,    L"Page Up",
        0x4b,    L"Left",
        0x4d,    L"Right",
        0x4f,    L"End",
        0x50,    L"Down",
        0x51,    L"Page Down",
        0x52,    L"Insert",
        0x53,    L"Delete",
        0x5B,    L"Left Windows",
        0x5C,    L"Right Windows",
        0x5D,    L"Application",
        0xF1,    L"Hanja",
        0xF2,    L"Hangeul",
        0   ,    NULL
    }

Definition at line 388 of file kbd101b.c.

ALLOC_SECTION_LDATA USHORT ausVK[]`[static]`

| Definition at line 28 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_BIT aVkToBits[]`[static]`

Initial value:

     {
        { VK_SHIFT,   KBDSHIFT },
        { VK_CONTROL, KBDCTRL  },
        { VK_MENU,    KBDALT   },
        { 0,          0        }
    }

Definition at line 154 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS1 aVkToWch1[]`[static]`

Initial value:

     {
        { VK_NUMPAD0   , 0      ,  '0'   },
        { VK_NUMPAD1   , 0      ,  '1'   },
        { VK_NUMPAD2   , 0      ,  '2'   },
        { VK_NUMPAD3   , 0      ,  '3'   },
        { VK_NUMPAD4   , 0      ,  '4'   },
        { VK_NUMPAD5   , 0      ,  '5'   },
        { VK_NUMPAD6   , 0      ,  '6'   },
        { VK_NUMPAD7   , 0      ,  '7'   },
        { VK_NUMPAD8   , 0      ,  '8'   },
        { VK_NUMPAD9   , 0      ,  '9'   },
        { 0            , 0      ,  '\0'  }
    }

Definition at line 289 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS2 aVkToWch2[]`[static]`

| Definition at line 209 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS3 aVkToWch3[]`[static]`

Initial value:

     {

        {VK_BACK      , 0      ,'\b'      ,'\b'      , 0x7f      },
        {VK_CANCEL    , 0      ,0x03      ,0x03      , 0x03      },
        {VK_ESCAPE    , 0      ,0x1b      ,0x1b      , 0x1b      },
        {VK_OEM_4     , 0      ,'['       ,'{'       , 0x1b      },
        {VK_OEM_5     , 0      ,'\\'      ,'|'       , 0x1c      },
        {VK_OEM_102   , 0      ,'\\'      ,'|'       , 0x1c      },
        {VK_OEM_6     , 0      ,']'       ,'}'       , 0x1d      },
        {VK_RETURN    , 0      ,'\r'      ,'\r'      , '\n'      },
        {VK_SPACE     , 0      ,        ,        , 0x20      },
        {0            , 0      ,0         ,0         , 0         }
    }

Definition at line 261 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_WCHARS4 aVkToWch4[]`[static]`

Initial value:

     {

        {'2'          , 0      ,'2'       ,'@'       , WCH_NONE  , 0x00      },
        {'6'          , 0      ,'6'       ,'^'       , WCH_NONE  , 0x1e      },
        {VK_OEM_MINUS , 0      ,'-'       ,'_'       , WCH_NONE  , 0x1f      },
        {0            , 0      ,0         ,0         , 0         , 0         }
    }

Definition at line 276 of file kbd101b.c.

ALLOC_SECTION_LDATA VK_TO_WCHAR_TABLE aVkToWcharTable[]`[static]`

Initial value:

     {
        {  (PVK_TO_WCHARS1)aVkToWch3, 3, sizeof(aVkToWch3[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch4, 4, sizeof(aVkToWch4[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch2, 2, sizeof(aVkToWch2[0]) },
        {  (PVK_TO_WCHARS1)aVkToWch1, 1, sizeof(aVkToWch1[0]) },
        {                       NULL, 0, 0                    }
    }

Definition at line 316 of file kbd101b.c.

ALLOC_SECTION_LDATA MODIFIERS CharModifiers`[static]`

Initial value:

     {
        &aVkToBits[0],
        3,
        {

            0,
            1,
            2,
            3,

        }
    }

Definition at line 168 of file kbd101b.c.

ALLOC_SECTION_LDATA KBDNLSTABLES KbdNlsTables`[static]`

Initial value:

     {
        0,
        0,
        1,
        VkToFuncTable_101b,
        0,
        NULL
    }

Definition at line 495 of file kbd101b.c.

Referenced by KbdNlsLayerDescriptor().

ALLOC_SECTION_LDATA KBDTABLES KbdTables`[static]`

Initial value:

     {

        &CharModifiers,

        aVkToWcharTable,

        NULL,

        aKeyNames,
        aKeyNamesExt,
        NULL,

        ausVK,
        sizeof(ausVK) / sizeof(ausVK[0]),
        aE0VscToVk,
        aE1VscToVk,

        0
    }

Definition at line 414 of file kbd101b.c.

Referenced by KbdLayerDescriptor().

ALLOC_SECTION_LDATA VK_F VkToFuncTable_101b[]`[static]`

Initial value:

     {
        {
            VK_OEM_PLUS,
            KBDNLS_TYPE_NORMAL,
            KBDNLS_INDEX_NORMAL,
            0x0,
            {
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_PARAM_VK,VK_JUNJA},
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_BASE_VK,0},
                {KBDNLS_SEND_BASE_VK,0}
            },
            {
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0},
                {KBDNLS_NULL,0}
            }
        }
    }

Definition at line 461 of file kbd101b.c.